#
# spec file for package sblim-tools-libra
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sblim-tools-libra
Version:        1.0
Release:        21.2
URL:            http://www.sblim.org
Source:         http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-docdir.patch
Patch1:         0001-declare-sys_errlist.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
Summary:        SBLIM Common Resource Access Library for WBEM-SMT tasks
License:        EPL-1.0
Group:          System/Libraries
%define debug_package_requires libRaTools0 = %{version}-%{release}

%description
The tools-libra package provides common functionality required by
the task-specific resource access layers of wbem-smt tasks such as
cmpi-dns and cmpi-samba.

%package -n libRaTools0
%define libname libRaTools0
Summary:        SBLIM Common Resource Access Library for WBEM-SMT tasks
Group:          System/Libraries

%description -n %libname
The tools-libra package provides common functionality required by
the task-specific resource access layers of wbem-smt tasks such as
cmpi-dns and cmpi-samba.

%package devel
Summary:        Development files for libRaTools
Group:          Development/Libraries/C and C++
Provides:       libRaTools-devel = %version
Requires:       %libname = %{version}

%description devel
The tools-libra package provides common functionality required by
the task-specific resource access layers of the wbem-smt tasks such as
cmpi-dns and cmpi-samba.
This package includes the header files and link libraries for dependent
provider packages.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1

%build
autoreconf -fi
%configure \
	--disable-static \
make

%install
%if 0%{?suse_version}
make DESTDIR=%buildroot install
%else
make DESTDIR=%buildroot docdir=%_docdir/%name-%version install
%endif
rm %buildroot/%{_libdir}/*.la

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libRaTools.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/sblim
%{_libdir}/libRaTools.so
%if 0%{?suse_version}
%doc %_docdir/%name
%else
%doc %_docdir/%name-%version
%endif

%changelog
* Thu Feb 22 2024 Michael Vetter <mvetter@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
- Remove %%clean section
* Fri Oct  9 2020 Klaus Kämpf <kkaempf@suse.com>
- fix gcc10 build: add 0001-declare-sys_errlist.patch
* Tue Mar 19 2013 cfarrell@suse.com
- license update: EPL-1.0
  No indication of IPL or CPL licenses in the package
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Sep 15 2010 kkaempf@novell.com
- Fix RH/Fedora build
* Tue Feb  2 2010 kkaempf@novell.com
- Update to 1.0
  * Change licensing from CPL to EPL
  * maintenance release
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Sun Aug 24 2008 ro@suse.de
- fix debug package requires
* Fri Aug  8 2008 mmarek@suse.cz
- don't use ./configure --docdir, needs too new autoconf
* Fri Aug  8 2008 mmarek@suse.cz
- packaged sblim-tools-libra-0.5.5 (fate#304337)
